View Issue Details

IDProjectCategoryView StatusLast Update
0003831Slicer4Core: Packagingpublic2018-05-31 00:29
ReporterjcfrAssigned Tojcfr 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionSlicer 4.9.0Fixed in VersionSlicer 4.9.0 
Summary0003831: Add rpath to all executable bundled in Slicer.app/Contents/bin
Description

Problem with r23666

Commit message of r23666:

BUG: Add rpath to DCMTK application when building MacOSX package. Fixes 0003827

While commit addresses issue 0003827, the problem applies for the other
executable bundled in the ./Slicer.app/Contents/bin directory. A more
general solution would have to be implemented to also fix these. This
is captured by issue 0003831

TagsNo tags attached.

Relationships

related to 0003827 closedjcfr library paths incorrect on mac install package - can't run dicom executables 
related to 0004554 closedjcfr rpath not set for macOS binaries in 4.9.0 

Activities

lassoan

lassoan

2018-05-30 12:31

developer   ~0015840

Can this be closed?

jcfr

jcfr

2018-05-30 12:45

administrator   ~0015844

Now that both SlicerPython and dcmtk executables are fixed up, we can close.

Related Changesets

Import 2017-06-07 23:51:09: master a7d724b3

2014-09-10 12:17:24

jcfr

Details Diff
BUG: Add rpath to DCMTK application when building MacOSX package. Fixes 0003827

While commit addresses issue 0003827, the problem applies for the other
executable bundled in the ./Slicer.app/Contents/bin directory. A more
general solution would have to be implemented to also fix these. This
is captured by issue 0003831

git-svn-id: http://svn.slicer.org/Slicer4/trunk@23666 3bd1e089-480b-0410-8dfb-8563597acbee
mod - CMake/SlicerBlockInstallDCMTKApps.cmake Diff File

Issue History

Date Modified Username Field Change
2014-09-10 08:29 jcfr New Issue
2014-09-10 08:29 jcfr Status new => assigned
2014-09-10 08:29 jcfr Assigned To => jcfr
2014-09-10 08:30 jcfr Target Version => Slicer 4.4.0
2014-09-10 08:30 jcfr Relationship added related to 0003827
2014-09-10 08:31 jcfr Description Updated
2014-09-26 17:24 jcfr Target Version Slicer 4.4.0 => Slicer 4.4.1
2015-09-01 10:29 jcfr Target Version Slicer 4.4.1 => Slicer 4.5.0-1
2015-09-22 09:53 jcfr Status assigned => acknowledged
2015-09-22 09:53 jcfr Target Version Slicer 4.5.0-1 =>
2017-06-10 08:51 jcfr Changeset attached => Slicer master a7d724b3
2018-05-23 04:30 jcfr Relationship added related to 0004554
2018-05-30 12:31 lassoan Note Added: 0015840
2018-05-30 12:45 jcfr Status acknowledged => closed
2018-05-30 12:45 jcfr Resolution open => fixed
2018-05-30 12:45 jcfr Fixed in Version => Slicer 4.9.0
2018-05-30 12:45 jcfr Note Added: 0015844
2018-05-31 00:29 jcfr Target Version => Slicer 4.9.0